/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"

_Bool systick = 0;

/*******************************************************************************/
CY_ISR(isr_systick)
{
	systick = 1;
}

/*******************************************************************************/
int main(void)
{
    CyGlobalIntEnable; /* Enable global interrupts. */

    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
	TCPWM_1_Start();
	CySysTickStart();
	CySysTickSetCallback(0,&isr_systick);
	Pin_0_4_Write(0);
	Pin_1_6_Write(1);
	Pin_3_0_Write(1);
	Pin_3_1_Write(1);
	
    for(;;)
    {
        /* Place your application code here. */
		if(systick == 1)
//		CyDelay(1);
		{
			systick = 0;
			Pin_0_4_Write(!Pin_0_4_Read());
			Pin_1_6_Write(!Pin_1_6_Read());
			Pin_3_0_Write(!Pin_3_0_Read());
			Pin_3_1_Write(!Pin_3_1_Read());
		}
    }
}

/* [] END OF FILE */
